<nav *ngIf="(movies$ | async).length; else noItemsPlaceholder"
     class="movie-list slds-nav-vertical slds-nav-vertical_compact slds-scrollable
            slds-m-left_medium slds-m-top_medium slds-m-bottom_medium"
     aria-label="Sub page"
     data-test-subj="mdbv-movie-list-items-list"
>
  <ul aria-describedby="entity-header">
    <li *ngFor="let movie of movies$ | async; trackBy: trackById"
        class="slds-nav-vertical__item"
        data-test-subj="mdbv-movie-list-item"
        [ngClass]="{'slds-is-active': (selectedId$ | async) === movie.id}"
    >
      <mdbv-movie-list-item [movie]="movie"></mdbv-movie-list-item>
    </li>
  </ul>
  <div *ngIf="!(isLastPage$ | async)"
       class=" slds-m-around--small"
       data-test-subj="mdbv-load-more-button-root">
  <mdbv-load-more-button></mdbv-load-more-button>
  </div>
</nav>

<ng-template #noItemsPlaceholder>
  <div class="no-movies-placeholder slds-align_absolute-center slds-text-heading_medium slds-m-around--medium"
       data-test-subj="mdbv-movie-list-no-items-placeholder"
  >
    No popular movies to see here =(
  </div>
</ng-template>
